package.skeleton {base} | R Documentation

## Create a skeleton for a new package

### Description

`package.skeleton` automates some of the setup for a new package. It creates directories, saves functions and data to appropriate places, and creates skeleton help files and ‘`README`’ files describing further steps in packaging.

### Usage

    package.skeleton(name="anRpackage", list, environment=.GlobalEnv,
            path=".", force=FALSE)

### Arguments

`name` | directory name for your package
`list` | vector of names of R objects to put in the package
`environment` | if `list` is omitted, the contents of this environment are packaged
`path` | path to put the package directories in
`force` | If `FALSE` will not overwrite an existing directory

### Value

used for its side-effects.

### References

Read the Writing R Extensions manual for more details

### See Also

`install.packages`

### Examples

    ## Don't run:
        f<-function(x,y) x+y
        g<-function(x,y) x-y
        d<-data.frame(a=1,b=2)
        e<-rnorm(1000)
        package.skeleton(list=c("f","g","d","e"),name="AnExample")
    ## End Don't run

[Package Contents]